#############################################################################
# Makefile for building: ../bin/QLightPad
# Generated by qmake (1.07a) (Qt 3.3.8) on: Sat May  9 14:17:12 2009
# Project:  src.pro
# Template: app
# Command: $(QMAKE) -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -g -D_REENTRANT  -DFOR_MEDINTUX -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_NO_DEBUG
CXXFLAGS = -pipe -Wall -W -g -D_REENTRANT  -DFOR_MEDINTUX -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_NO_DEBUG
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/lib/qt3/mkspecs/default -I. -I../src -I$(QTDIR)/include -Imoc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L$(QTDIR)/lib -L/usr/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = $(QTDIR)/bin/moc
UIC      = $(QTDIR)/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = obj/

####### Files

HEADERS = MyEditText.h \
		QLightPad.h \
		../../MedinTuxTools/CGenTools.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CCoolPopup.h \
		../../MedinTuxTools/CW_EditText.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/CPreview.h \
		../../MedinTuxTools/ThemePopup.h \
		../../MedinTuxTools/Theme.h \
		../../drtux/src/C_KeyPressEater.h \
		CMyTabWidget.h \
		SaveRequest.h
SOURCES = QLightPad.cpp \
		main.cpp \
		MyEditText.cpp \
		../../MedinTuxTools/CGenTools.cpp \
		../../MedinTuxTools/CHtmlTools.cpp \
		../../MedinTuxTools/CCoolPopup.cpp \
		../../MedinTuxTools/CW_EditText.cpp \
		../../MedinTuxTools/CGestIni.cpp \
		../../MedinTuxTools/ThemePopup.cpp \
		../../MedinTuxTools/Theme.cpp \
		../../drtux/src/C_KeyPressEater.cpp \
		CMyTabWidget.cpp
OBJECTS = obj/QLightPad.o \
		obj/main.o \
		obj/MyEditText.o \
		obj/CGenTools.o \
		obj/CHtmlTools.o \
		obj/CCoolPopup.o \
		obj/CW_EditText.o \
		obj/CGestIni.o \
		obj/ThemePopup.o \
		obj/Theme.o \
		obj/C_KeyPressEater.o \
		obj/CMyTabWidget.o \
		obj/DLG_InsertLink.o \
		obj/DLG_InsertAncre.o \
		obj/DLG_InsertEmail.o \
		obj/DLG_Browser.o \
		obj/DLG_BodyAttributs.o \
		obj/DLG_SaveRequest.o \
		obj/DLG_InsertList.o \
		obj/DlgListOff_Listes.o \
		obj/DlgGetString.o \
		obj/DlgMyMessageBox.o \
		obj/DlgListFieldMngr.o \
		obj/DLG_A_propos.o
FORMS = DLG_InsertLink.ui \
		DLG_InsertAncre.ui \
		DLG_InsertEmail.ui \
		DLG_Browser.ui \
		DLG_BodyAttributs.ui \
		DLG_SaveRequest.ui \
		../../MedinTuxTools/DLG_InsertList.ui \
		../../MedinTuxTools/DlgListOff_Listes.ui \
		../../MedinTuxTools/DlgGetString.ui \
		../../MedinTuxTools/DlgMyMessageBox.ui \
		../../drtux/src/DlgListFieldMngr.ui \
		DLG_A_propos.ui
UICDECLS = DLG_InsertLink.h \
		DLG_InsertAncre.h \
		DLG_InsertEmail.h \
		DLG_Browser.h \
		DLG_BodyAttributs.h \
		DLG_SaveRequest.h \
		../../MedinTuxTools/DLG_InsertList.h \
		../../MedinTuxTools/DlgListOff_Listes.h \
		../../MedinTuxTools/DlgGetString.h \
		../../MedinTuxTools/DlgMyMessageBox.h \
		../../drtux/src/DlgListFieldMngr.h \
		DLG_A_propos.h
UICIMPLS = DLG_InsertLink.cpp \
		DLG_InsertAncre.cpp \
		DLG_InsertEmail.cpp \
		DLG_Browser.cpp \
		DLG_BodyAttributs.cpp \
		DLG_SaveRequest.cpp \
		../../MedinTuxTools/DLG_InsertList.cpp \
		../../MedinTuxTools/DlgListOff_Listes.cpp \
		../../MedinTuxTools/DlgGetString.cpp \
		../../MedinTuxTools/DlgMyMessageBox.cpp \
		../../drtux/src/DlgListFieldMngr.cpp \
		DLG_A_propos.cpp
SRCMOC   = moc/moc_MyEditText.cpp \
		moc/moc_QLightPad.cpp \
		moc/moc_CCoolPopup.cpp \
		moc/moc_CW_EditText.cpp \
		moc/moc_ThemePopup.cpp \
		moc/moc_C_KeyPressEater.cpp \
		moc/moc_CMyTabWidget.cpp \
		moc/moc_DLG_InsertLink.cpp \
		moc/moc_DLG_InsertAncre.cpp \
		moc/moc_DLG_InsertEmail.cpp \
		moc/moc_DLG_Browser.cpp \
		moc/moc_DLG_BodyAttributs.cpp \
		moc/moc_DLG_SaveRequest.cpp \
		moc/moc_DLG_InsertList.cpp \
		moc/moc_DlgListOff_Listes.cpp \
		moc/moc_DlgGetString.cpp \
		moc/moc_DlgMyMessageBox.cpp \
		moc/moc_DlgListFieldMngr.cpp \
		moc/moc_DLG_A_propos.cpp
OBJMOC = obj/moc_MyEditText.o \
		obj/moc_QLightPad.o \
		obj/moc_CCoolPopup.o \
		obj/moc_CW_EditText.o \
		obj/moc_ThemePopup.o \
		obj/moc_C_KeyPressEater.o \
		obj/moc_CMyTabWidget.o \
		obj/moc_DLG_InsertLink.o \
		obj/moc_DLG_InsertAncre.o \
		obj/moc_DLG_InsertEmail.o \
		obj/moc_DLG_Browser.o \
		obj/moc_DLG_BodyAttributs.o \
		obj/moc_DLG_SaveRequest.o \
		obj/moc_DLG_InsertList.o \
		obj/moc_DlgListOff_Listes.o \
		obj/moc_DlgGetString.o \
		obj/moc_DlgMyMessageBox.o \
		obj/moc_DlgListFieldMngr.o \
		obj/moc_DLG_A_propos.o
DIST	   = src.pro
QMAKE_TARGET = QLightPad
DESTDIR  = ../bin/
TARGET   = ../bin/QLightPad

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	test -d ../bin/ || mkdir -p ../bin/
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: src.pro  /usr/lib/qt3/mkspecs/default/qmake.conf /usr/lib/qt3/lib/libqt-mt.prl
	$(QMAKE) -o Makefile src.pro
qmake: 
	@$(QMAKE) -o Makefile src.pro

dist: 
	@mkdir -p obj/QLightPad && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) obj/QLightPad/ && $(COPY_FILE) --parents QLightPad_fr.ts obj/QLightPad/ && $(COPY_FILE) --parents DLG_InsertLink.ui.h DLG_InsertAncre.ui.h DLG_InsertEmail.ui.h DLG_Browser.ui.h DLG_BodyAttributs.ui.h DLG_SaveRequest.ui.h ../../MedinTuxTools/DLG_InsertList.ui.h ../../MedinTuxTools/DlgListOff_Listes.ui.h ../../MedinTuxTools/DlgGetString.ui.h ../../MedinTuxTools/DlgMyMessageBox.ui.h ../../drtux/src/DlgListFieldMngr.ui.h DLG_A_propos.ui.h obj/QLightPad/ && ( cd `dirname obj/QLightPad` && $(TAR) QLightPad.tar QLightPad && $(GZIP) QLightPad.tar ) && $(MOVE) `dirname obj/QLightPad`/QLightPad.tar.gz . && $(DEL_FILE) -r obj/QLightPad

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:
	-$(DEL_FILE) $(UICIMPLS) $(UICDECLS)

yaccclean:
lexclean:
clean: mocclean uiclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../bin/$(TARGET) $(TARGET)


FORCE:

####### Compile

obj/QLightPad.o: QLightPad.cpp QLightPad.h \
		MyEditText.h \
		../../MedinTuxTools/CPreview.h \
		CMyTabWidget.h \
		DLG_InsertLink.h \
		DLG_InsertAncre.h \
		DLG_InsertEmail.h \
		DLG_BodyAttributs.h \
		DLG_SaveRequest.h \
		../../drtux/src/DlgListFieldMngr.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/DlgListOff_Listes.h \
		../../MedinTuxTools/CGestIni.h \
		SaveRequest.h \
		DLG_A_propos.h \
		../../MedinTuxTools/CCoolPopup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/QLightPad.o QLightPad.cpp

obj/main.o: main.cpp QLightPad.h \
		../../MedinTuxTools/CGestIni.h \
		SaveRequest.h \
		DLG_A_propos.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/main.o main.cpp

obj/MyEditText.o: MyEditText.cpp MyEditText.h \
		../../MedinTuxTools/DLG_InsertList.h \
		../../MedinTuxTools/DlgGetString.h \
		../../drtux/src/DlgListFieldMngr.h \
		../../MedinTuxTools/DlgMyMessageBox.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CGenTools.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/DlgListOff_Listes.h \
		../../MedinTuxTools/CCoolPopup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/MyEditText.o MyEditText.cpp

obj/CGenTools.o: ../../MedinTuxTools/CGenTools.cpp ../../MedinTuxTools/DlgMyMessageBox.h \
		../../MedinTuxTools/DlgGetString.h \
		../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/CGenTools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CGenTools.o ../../MedinTuxTools/CGenTools.cpp

obj/CHtmlTools.o: ../../MedinTuxTools/CHtmlTools.cpp ../../MedinTuxTools/CHtmlTools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CHtmlTools.o ../../MedinTuxTools/CHtmlTools.cpp

obj/CCoolPopup.o: ../../MedinTuxTools/CCoolPopup.cpp ../../MedinTuxTools/CCoolPopup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CCoolPopup.o ../../MedinTuxTools/CCoolPopup.cpp

obj/CW_EditText.o: ../../MedinTuxTools/CW_EditText.cpp ../../MedinTuxTools/CW_EditText.h \
		../../MedinTuxTools/CHtmlTools.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CW_EditText.o ../../MedinTuxTools/CW_EditText.cpp

obj/CGestIni.o: ../../MedinTuxTools/CGestIni.cpp ../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CGestIni.o ../../MedinTuxTools/CGestIni.cpp

obj/ThemePopup.o: ../../MedinTuxTools/ThemePopup.cpp ../../MedinTuxTools/ThemePopup.h \
		../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/ThemePopup.o ../../MedinTuxTools/ThemePopup.cpp

obj/Theme.o: ../../MedinTuxTools/Theme.cpp ../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/Theme.o ../../MedinTuxTools/Theme.cpp

obj/C_KeyPressEater.o: ../../drtux/src/C_KeyPressEater.cpp ../../drtux/src/C_KeyPressEater.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/C_KeyPressEater.o ../../drtux/src/C_KeyPressEater.cpp

obj/CMyTabWidget.o: CMyTabWidget.cpp CMyTabWidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/CMyTabWidget.o CMyTabWidget.cpp

DLG_InsertLink.h: DLG_InsertLink.ui QLightPad.h \
		MyEditText.h \
		DLG_Browser.h \
		SaveRequest.h \
		DLG_A_propos.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_InsertLink.ui -o DLG_InsertLink.h

DLG_InsertLink.cpp: DLG_InsertLink.h DLG_InsertLink.ui DLG_InsertLink.ui.h QLightPad.h \
		MyEditText.h \
		DLG_Browser.h \
		SaveRequest.h \
		DLG_A_propos.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_InsertLink.ui -i DLG_InsertLink.h -o DLG_InsertLink.cpp

DLG_InsertAncre.h: DLG_InsertAncre.ui MyEditText.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_InsertAncre.ui -o DLG_InsertAncre.h

DLG_InsertAncre.cpp: DLG_InsertAncre.h DLG_InsertAncre.ui DLG_InsertAncre.ui.h MyEditText.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_InsertAncre.ui -i DLG_InsertAncre.h -o DLG_InsertAncre.cpp

DLG_InsertEmail.h: DLG_InsertEmail.ui 
	$(UIC) DLG_InsertEmail.ui -o DLG_InsertEmail.h

DLG_InsertEmail.cpp: DLG_InsertEmail.h DLG_InsertEmail.ui DLG_InsertEmail.ui.h 
	$(UIC) DLG_InsertEmail.ui -i DLG_InsertEmail.h -o DLG_InsertEmail.cpp

DLG_Browser.h: DLG_Browser.ui 
	$(UIC) DLG_Browser.ui -o DLG_Browser.h

DLG_Browser.cpp: DLG_Browser.h DLG_Browser.ui DLG_Browser.ui.h 
	$(UIC) DLG_Browser.ui -i DLG_Browser.h -o DLG_Browser.cpp

DLG_BodyAttributs.h: DLG_BodyAttributs.ui MyEditText.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_BodyAttributs.ui -o DLG_BodyAttributs.h

DLG_BodyAttributs.cpp: DLG_BodyAttributs.h DLG_BodyAttributs.ui DLG_BodyAttributs.ui.h MyEditText.h \
		../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_BodyAttributs.ui -i DLG_BodyAttributs.h -o DLG_BodyAttributs.cpp

DLG_SaveRequest.h: DLG_SaveRequest.ui 
	$(UIC) DLG_SaveRequest.ui -o DLG_SaveRequest.h

DLG_SaveRequest.cpp: DLG_SaveRequest.h DLG_SaveRequest.ui DLG_SaveRequest.ui.h 
	$(UIC) DLG_SaveRequest.ui -i DLG_SaveRequest.h -o DLG_SaveRequest.cpp

../../MedinTuxTools/DLG_InsertList.h: ../../MedinTuxTools/DLG_InsertList.ui 
	$(UIC) ../../MedinTuxTools/DLG_InsertList.ui -o ../../MedinTuxTools/DLG_InsertList.h

../../MedinTuxTools/DLG_InsertList.cpp: ../../MedinTuxTools/DLG_InsertList.h ../../MedinTuxTools/DLG_InsertList.ui ../../MedinTuxTools/DLG_InsertList.ui.h 
	$(UIC) ../../MedinTuxTools/DLG_InsertList.ui -i DLG_InsertList.h -o ../../MedinTuxTools/DLG_InsertList.cpp

../../MedinTuxTools/DlgListOff_Listes.h: ../../MedinTuxTools/DlgListOff_Listes.ui 
	$(UIC) ../../MedinTuxTools/DlgListOff_Listes.ui -o ../../MedinTuxTools/DlgListOff_Listes.h

../../MedinTuxTools/DlgListOff_Listes.cpp: ../../MedinTuxTools/DlgListOff_Listes.h ../../MedinTuxTools/DlgListOff_Listes.ui ../../MedinTuxTools/DlgListOff_Listes.ui.h 
	$(UIC) ../../MedinTuxTools/DlgListOff_Listes.ui -i DlgListOff_Listes.h -o ../../MedinTuxTools/DlgListOff_Listes.cpp

../../MedinTuxTools/DlgGetString.h: ../../MedinTuxTools/DlgGetString.ui 
	$(UIC) ../../MedinTuxTools/DlgGetString.ui -o ../../MedinTuxTools/DlgGetString.h

../../MedinTuxTools/DlgGetString.cpp: ../../MedinTuxTools/DlgGetString.h ../../MedinTuxTools/DlgGetString.ui ../../MedinTuxTools/DlgGetString.ui.h 
	$(UIC) ../../MedinTuxTools/DlgGetString.ui -i DlgGetString.h -o ../../MedinTuxTools/DlgGetString.cpp

../../MedinTuxTools/DlgMyMessageBox.h: ../../MedinTuxTools/DlgMyMessageBox.ui 
	$(UIC) ../../MedinTuxTools/DlgMyMessageBox.ui -o ../../MedinTuxTools/DlgMyMessageBox.h

../../MedinTuxTools/DlgMyMessageBox.cpp: ../../MedinTuxTools/DlgMyMessageBox.h ../../MedinTuxTools/DlgMyMessageBox.ui ../../MedinTuxTools/DlgMyMessageBox.ui.h 
	$(UIC) ../../MedinTuxTools/DlgMyMessageBox.ui -i DlgMyMessageBox.h -o ../../MedinTuxTools/DlgMyMessageBox.cpp

../../drtux/src/DlgListFieldMngr.h: ../../drtux/src/DlgListFieldMngr.ui ../../MedinTuxTools/CW_EditText.h \
		../../drtux/src/Global.h \
		../../MedinTuxTools/ThemePopup.h \
		../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(UIC) ../../drtux/src/DlgListFieldMngr.ui -o ../../drtux/src/DlgListFieldMngr.h

../../drtux/src/DlgListFieldMngr.cpp: ../../drtux/src/DlgListFieldMngr.h ../../drtux/src/DlgListFieldMngr.ui ../../drtux/src/DlgListFieldMngr.ui.h ../../MedinTuxTools/CW_EditText.h \
		../../drtux/src/Global.h \
		../../MedinTuxTools/ThemePopup.h \
		../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(UIC) ../../drtux/src/DlgListFieldMngr.ui -i DlgListFieldMngr.h -o ../../drtux/src/DlgListFieldMngr.cpp

DLG_A_propos.h: DLG_A_propos.ui ../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_A_propos.ui -o DLG_A_propos.h

DLG_A_propos.cpp: DLG_A_propos.h DLG_A_propos.ui DLG_A_propos.ui.h ../../MedinTuxTools/CCoolPopup.h
	$(UIC) DLG_A_propos.ui -i DLG_A_propos.h -o DLG_A_propos.cpp

obj/DLG_InsertLink.o: DLG_InsertLink.cpp ../../MedinTuxTools/CHtmlTools.h \
		DLG_InsertLink.ui.h \
		DLG_InsertLink.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_InsertLink.o DLG_InsertLink.cpp

obj/DLG_InsertAncre.o: DLG_InsertAncre.cpp ../../MedinTuxTools/CHtmlTools.h \
		DLG_InsertAncre.ui.h \
		DLG_InsertAncre.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_InsertAncre.o DLG_InsertAncre.cpp

obj/DLG_InsertEmail.o: DLG_InsertEmail.cpp DLG_InsertEmail.ui.h \
		DLG_InsertEmail.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_InsertEmail.o DLG_InsertEmail.cpp

obj/DLG_Browser.o: DLG_Browser.cpp DLG_Browser.ui.h \
		DLG_Browser.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_Browser.o DLG_Browser.cpp

obj/DLG_BodyAttributs.o: DLG_BodyAttributs.cpp ../../MedinTuxTools/CHtmlTools.h \
		../../MedinTuxTools/CPreview.h \
		DLG_BodyAttributs.ui.h \
		DLG_BodyAttributs.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_BodyAttributs.o DLG_BodyAttributs.cpp

obj/DLG_SaveRequest.o: DLG_SaveRequest.cpp SaveRequest.h \
		DLG_SaveRequest.ui.h \
		DLG_SaveRequest.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_SaveRequest.o DLG_SaveRequest.cpp

obj/DLG_InsertList.o: ../../MedinTuxTools/DLG_InsertList.cpp ../../MedinTuxTools/DLG_InsertList.ui.h \
		../../MedinTuxTools/DLG_InsertList.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_InsertList.o ../../MedinTuxTools/DLG_InsertList.cpp

obj/DlgListOff_Listes.o: ../../MedinTuxTools/DlgListOff_Listes.cpp ../../MedinTuxTools/DlgListOff_Listes.ui.h \
		../../MedinTuxTools/DlgListOff_Listes.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DlgListOff_Listes.o ../../MedinTuxTools/DlgListOff_Listes.cpp

obj/DlgGetString.o: ../../MedinTuxTools/DlgGetString.cpp ../../MedinTuxTools/DlgGetString.ui.h \
		../../MedinTuxTools/DlgGetString.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DlgGetString.o ../../MedinTuxTools/DlgGetString.cpp

obj/DlgMyMessageBox.o: ../../MedinTuxTools/DlgMyMessageBox.cpp ../../MedinTuxTools/DlgMyMessageBox.ui.h \
		../../MedinTuxTools/DlgMyMessageBox.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DlgMyMessageBox.o ../../MedinTuxTools/DlgMyMessageBox.cpp

obj/DlgListFieldMngr.o: ../../drtux/src/DlgListFieldMngr.cpp ../../MedinTuxTools/CHtmlTools.h \
		../../drtux/src/CPreview.h \
		../../MedinTuxTools/CGenTools.h \
		../../MedinTuxTools/DlgListOff_Listes.h \
		../../MedinTuxTools/CGestIni.h \
		../../MedinTuxTools/DLG_InsertList.h \
		../../drtux/src/DlgListFieldMngr.ui.h \
		../../drtux/src/DlgListFieldMngr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DlgListFieldMngr.o ../../drtux/src/DlgListFieldMngr.cpp

obj/DLG_A_propos.o: DLG_A_propos.cpp DLG_A_propos.ui.h \
		DLG_A_propos.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/DLG_A_propos.o DLG_A_propos.cpp

obj/moc_MyEditText.o: moc/moc_MyEditText.cpp  MyEditText.h ../../MedinTuxTools/CCoolPopup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_MyEditText.o moc/moc_MyEditText.cpp

obj/moc_QLightPad.o: moc/moc_QLightPad.cpp  QLightPad.h SaveRequest.h \
		DLG_A_propos.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_QLightPad.o moc/moc_QLightPad.cpp

obj/moc_CCoolPopup.o: moc/moc_CCoolPopup.cpp  ../../MedinTuxTools/CCoolPopup.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_CCoolPopup.o moc/moc_CCoolPopup.cpp

obj/moc_CW_EditText.o: moc/moc_CW_EditText.cpp  ../../MedinTuxTools/CW_EditText.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_CW_EditText.o moc/moc_CW_EditText.cpp

obj/moc_ThemePopup.o: moc/moc_ThemePopup.cpp  ../../MedinTuxTools/ThemePopup.h ../../MedinTuxTools/Theme.h \
		../../MedinTuxTools/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_ThemePopup.o moc/moc_ThemePopup.cpp

obj/moc_C_KeyPressEater.o: moc/moc_C_KeyPressEater.cpp  ../../drtux/src/C_KeyPressEater.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_C_KeyPressEater.o moc/moc_C_KeyPressEater.cpp

obj/moc_CMyTabWidget.o: moc/moc_CMyTabWidget.cpp  CMyTabWidget.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_CMyTabWidget.o moc/moc_CMyTabWidget.cpp

obj/moc_DLG_InsertLink.o: moc/moc_DLG_InsertLink.cpp  DLG_InsertLink.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_InsertLink.o moc/moc_DLG_InsertLink.cpp

obj/moc_DLG_InsertAncre.o: moc/moc_DLG_InsertAncre.cpp  DLG_InsertAncre.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_InsertAncre.o moc/moc_DLG_InsertAncre.cpp

obj/moc_DLG_InsertEmail.o: moc/moc_DLG_InsertEmail.cpp  DLG_InsertEmail.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_InsertEmail.o moc/moc_DLG_InsertEmail.cpp

obj/moc_DLG_Browser.o: moc/moc_DLG_Browser.cpp  DLG_Browser.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_Browser.o moc/moc_DLG_Browser.cpp

obj/moc_DLG_BodyAttributs.o: moc/moc_DLG_BodyAttributs.cpp  DLG_BodyAttributs.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_BodyAttributs.o moc/moc_DLG_BodyAttributs.cpp

obj/moc_DLG_SaveRequest.o: moc/moc_DLG_SaveRequest.cpp  DLG_SaveRequest.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_SaveRequest.o moc/moc_DLG_SaveRequest.cpp

obj/moc_DLG_InsertList.o: moc/moc_DLG_InsertList.cpp  ../../MedinTuxTools/DLG_InsertList.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_InsertList.o moc/moc_DLG_InsertList.cpp

obj/moc_DlgListOff_Listes.o: moc/moc_DlgListOff_Listes.cpp  ../../MedinTuxTools/DlgListOff_Listes.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DlgListOff_Listes.o moc/moc_DlgListOff_Listes.cpp

obj/moc_DlgGetString.o: moc/moc_DlgGetString.cpp  ../../MedinTuxTools/DlgGetString.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DlgGetString.o moc/moc_DlgGetString.cpp

obj/moc_DlgMyMessageBox.o: moc/moc_DlgMyMessageBox.cpp  ../../MedinTuxTools/DlgMyMessageBox.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DlgMyMessageBox.o moc/moc_DlgMyMessageBox.cpp

obj/moc_DlgListFieldMngr.o: moc/moc_DlgListFieldMngr.cpp  ../../drtux/src/DlgListFieldMngr.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DlgListFieldMngr.o moc/moc_DlgListFieldMngr.cpp

obj/moc_DLG_A_propos.o: moc/moc_DLG_A_propos.cpp  DLG_A_propos.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/moc_DLG_A_propos.o moc/moc_DLG_A_propos.cpp

moc/moc_MyEditText.cpp: $(MOC) MyEditText.h
	$(MOC) MyEditText.h -o moc/moc_MyEditText.cpp

moc/moc_QLightPad.cpp: $(MOC) QLightPad.h
	$(MOC) QLightPad.h -o moc/moc_QLightPad.cpp

moc/moc_CCoolPopup.cpp: $(MOC) ../../MedinTuxTools/CCoolPopup.h
	$(MOC) ../../MedinTuxTools/CCoolPopup.h -o moc/moc_CCoolPopup.cpp

moc/moc_CW_EditText.cpp: $(MOC) ../../MedinTuxTools/CW_EditText.h
	$(MOC) ../../MedinTuxTools/CW_EditText.h -o moc/moc_CW_EditText.cpp

moc/moc_ThemePopup.cpp: $(MOC) ../../MedinTuxTools/ThemePopup.h
	$(MOC) ../../MedinTuxTools/ThemePopup.h -o moc/moc_ThemePopup.cpp

moc/moc_C_KeyPressEater.cpp: $(MOC) ../../drtux/src/C_KeyPressEater.h
	$(MOC) ../../drtux/src/C_KeyPressEater.h -o moc/moc_C_KeyPressEater.cpp

moc/moc_CMyTabWidget.cpp: $(MOC) CMyTabWidget.h
	$(MOC) CMyTabWidget.h -o moc/moc_CMyTabWidget.cpp

moc/moc_DLG_InsertLink.cpp: $(MOC) DLG_InsertLink.h
	$(MOC) DLG_InsertLink.h -o moc/moc_DLG_InsertLink.cpp

moc/moc_DLG_InsertAncre.cpp: $(MOC) DLG_InsertAncre.h
	$(MOC) DLG_InsertAncre.h -o moc/moc_DLG_InsertAncre.cpp

moc/moc_DLG_InsertEmail.cpp: $(MOC) DLG_InsertEmail.h
	$(MOC) DLG_InsertEmail.h -o moc/moc_DLG_InsertEmail.cpp

moc/moc_DLG_Browser.cpp: $(MOC) DLG_Browser.h
	$(MOC) DLG_Browser.h -o moc/moc_DLG_Browser.cpp

moc/moc_DLG_BodyAttributs.cpp: $(MOC) DLG_BodyAttributs.h
	$(MOC) DLG_BodyAttributs.h -o moc/moc_DLG_BodyAttributs.cpp

moc/moc_DLG_SaveRequest.cpp: $(MOC) DLG_SaveRequest.h
	$(MOC) DLG_SaveRequest.h -o moc/moc_DLG_SaveRequest.cpp

moc/moc_DLG_InsertList.cpp: $(MOC) ../../MedinTuxTools/DLG_InsertList.h
	$(MOC) ../../MedinTuxTools/DLG_InsertList.h -o moc/moc_DLG_InsertList.cpp

moc/moc_DlgListOff_Listes.cpp: $(MOC) ../../MedinTuxTools/DlgListOff_Listes.h
	$(MOC) ../../MedinTuxTools/DlgListOff_Listes.h -o moc/moc_DlgListOff_Listes.cpp

moc/moc_DlgGetString.cpp: $(MOC) ../../MedinTuxTools/DlgGetString.h
	$(MOC) ../../MedinTuxTools/DlgGetString.h -o moc/moc_DlgGetString.cpp

moc/moc_DlgMyMessageBox.cpp: $(MOC) ../../MedinTuxTools/DlgMyMessageBox.h
	$(MOC) ../../MedinTuxTools/DlgMyMessageBox.h -o moc/moc_DlgMyMessageBox.cpp

moc/moc_DlgListFieldMngr.cpp: $(MOC) ../../drtux/src/DlgListFieldMngr.h
	$(MOC) ../../drtux/src/DlgListFieldMngr.h -o moc/moc_DlgListFieldMngr.cpp

moc/moc_DLG_A_propos.cpp: $(MOC) DLG_A_propos.h
	$(MOC) DLG_A_propos.h -o moc/moc_DLG_A_propos.cpp

####### Install

install:  

uninstall:  

